Index: /trunk/src/mouse_motion.m
===================================================================
--- /trunk/src/mouse_motion.m	(revision 314)
+++ /trunk/src/mouse_motion.m	(revision 315)
@@ -218,13 +218,13 @@
              % case of PIV correlation display
                     if test_piv
-                        %par=civ('read_param_civ1',hhciv);
                         par=read_GUI(hhciv.Civ1);
                         [dd,ind_pt]=min(abs(Field.X-xy(1,1))+abs(Field.Y-xy(1,2)));
                         xround=Field.X(ind_pt);
                         yround=Field.Y(ind_pt);
-                        par.PointCoord=[xround size(Field.A,1)-yround+1];
+                        par.Grid=[xround size(Field.A,1)-yround+1];
                         % mark the correlation box with a rectangle
-                        par.filename_ima_a=Field.A;
-                        par.filename_ima_b=Field.B;
+                        par.ImageA=Field.A;
+                        par.ImageB=Field.B;
+                        [par.ImageHeight,par.ImageWidth]=size(par.ImageA);
                         Param.Civ1=par;
                         ibx2=floor((par.Bx-1)/2);
@@ -249,7 +249,5 @@
                             set(hhhh,'Position',[xround-isx2+shiftx yround-isy2+shifty 2*isx2 2*isy2])
                         end
-                        %[xtable, ytable, utable, vtable, ctable, typevector, result_conv] = ...
-                         %               pivlab (Field.A,Field.B,ibx2,iby2,isx2,isy2,shiftx,shifty,[xround size(Field.A,1)-yround+1], 1, []);
-                        [Data,errormsg,result_conv]= civ_matlab(Param)
+                        [Data,errormsg,result_conv]= civ_matlab(Param);
                         rangx(1)=-(isx2-ibx2)+shiftx;
                         rangx(2)=isx2-ibx2+shiftx;
@@ -268,6 +266,5 @@
                                 set(0,'CurrentFigure',corrfig(1))
                                 AxeData.CurrentCorrImage=imagesc(rangx,-rangy,result_conv,[0 1]);
-                                AxeData.CurrentVector=line([0 Data.Civ1_U],[0 -Data.Civ1_V],'Tag','vector');
-                                
+                                AxeData.CurrentVector=line([0 Data.Civ1_U],[0 Data.Civ1_V],'Tag','vector');               
                                 colorbar
                                 set(haxes,'UserData',AxeData)
@@ -278,5 +275,5 @@
                             set(AxeData.CurrentCorrImage,'XData',rangx)
                             set(AxeData.CurrentCorrImage,'YData',-rangy)
-                            set(AxeData.CurrentVector,'XData',[0 Data.Civ1_U],'YData',[0 -Data.Civ1_V])
+                            set(AxeData.CurrentVector,'XData',[0 Data.Civ1_U],'YData',[0 Data.Civ1_V])
                         end
                     end
Index: /trunk/src/set_col_vec.m
===================================================================
--- /trunk/src/set_col_vec.m	(revision 314)
+++ /trunk/src/set_col_vec.m	(revision 315)
@@ -10,7 +10,7 @@
             % colcode.CName: 'ima_cor','black','white',...
             % colcode.ListColorCode ='black', 'white', 'rgb','brg', '64 colors'
-            % colcode.FixedCbounds =0; thresholds scaling relative to min and max, =1 fixed thresholds
-            % colcode.MinC; min 
-            % colcode.MaxC; max
+            % colcode.CheckFixVecColor =0; thresholds scaling relative to min and max, =1 fixed thresholds
+            % colcode.MinVec; min 
+            % colcode.MaxVec; max
             % colcode.ColCode1: first threshold for rgb, relative to min (0) and max (1)
             % colcode.ColCode2: second threshold for rgb, relative to min (0) and max (1), 
@@ -19,5 +19,4 @@
 % vec_C: matlab vector representing the scalar setting the color
 function [colorlist,col_vec,colcode_out]=set_col_vec(colcode,vec_C)
-
 col_vec=[]; 
 colcode_out=colcode;%default
@@ -61,11 +60,11 @@
     col_vec=ones(size(vec_C));%all vectors at color#1
 elseif strcmp(colcode.ListColorCode,'rgb')|| strcmp(colcode.ListColorCode,'bgr')% 3 color representation
-    ind1=find(vec_C < ColCode1); % =1 for red vectors
+%    ind1=find(vec_C < ColCode1); % =1 for red vectors
     ind_green=find((vec_C >= ColCode1) & (vec_C < ColCode2));% =1 for green vectors
-    ind3=find(vec_C >= ColCode2);% =1 for blue vectors
+%     ind3=find(vec_C >= ColCode2);% =1 for blue vectors
     colorlist(2,:)=[0 1 0];%green
-    col_vec(ind1)=1;
+    col_vec(vec_C < ColCode1)=1;
     col_vec(ind_green)=2;
-    col_vec(ind3)=3;
+    col_vec(vec_C >= ColCode2)=3;
     if strcmp(colcode.ListColorCode,'rgb')
         colorlist(1,:)=[1 0 0];%red
Index: /trunk/src/set_grid.m
===================================================================
--- /trunk/src/set_grid.m	(revision 314)
+++ /trunk/src/set_grid.m	(revision 315)
@@ -32,8 +32,10 @@
                    'gui_LayoutFcn',  [] , ...
                    'gui_Callback',   []);
-if nargin & isstr(varargin{1})
+% if nargin & isstr(varargin{1})
+%     gui_State.gui_Callback = str2func(varargin{1});
+% end
+if nargin && ischar(varargin{1})
     gui_State.gui_Callback = str2func(varargin{1});
 end
-
 if nargout
     [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
Index: /trunk/src/uvmat.m
===================================================================
--- /trunk/src/uvmat.m	(revision 314)
+++ /trunk/src/uvmat.m	(revision 315)
@@ -932,11 +932,11 @@
 %% view the field  
 run0_Callback(hObject, eventdata, handles); %view field
-mask_test=get(handles.mask_test,'value');
+mask_test=get(handles.CheckMask,'value');
 if mask_test
-    MaskData=get(handles.mask_test,'UserData');
+    MaskData=get(handles.CheckMask,'UserData');
     if isfield(MaskData,'maskhandle') && ishandle(MaskData.maskhandle)
           delete(MaskData.maskhandle)    %delete old mask
     end
-    mask_test_Callback(hObject, eventdata, handles)
+    CheckMask_Callback(hObject, eventdata, handles)
 end
 
@@ -1453,9 +1453,9 @@
 
 %------------------------------------------------------------------------
-% --- Executes on button press in mask_test.
-function mask_test_Callback(hObject, eventdata, handles)
+% --- Executes on button press in CheckMask.
+function CheckMask_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------------
 %case of view mask selection
-if isequal(get(handles.mask_test,'Value'),1)
+if isequal(get(handles.CheckMask,'Value'),1)
     [FF,RootPath,FileBase]=read_file_boxes(handles);
     num_i1=stra2num(get(handles.i1,'String'));
@@ -1499,6 +1499,6 @@
                 set(handles.nb_slice,'String',Name(i+1:ind_mask-1));
                 set(handles.nb_slice,'BackgroundColor',[1 1 0])
-                set(handles.mask_test,'UserData',Mask);
-                set(handles.mask_test,'BackgroundColor',[1 1 0])
+                set(handles.CheckMask,'UserData',Mask);
+                set(handles.CheckMask,'BackgroundColor',[1 1 0])
                 if nbslice > 1
                     set(handles.slices,'value',1)
@@ -1522,6 +1522,6 @@
         Mask.Base=fullfile(RootDir,RootFile);
         Mask.NbSlice=1;
-        set(handles.mask_test,'UserData',Mask);
-        set(handles.mask_test,'BackgroundColor',[1 1 0])
+        set(handles.CheckMask,'UserData',Mask);
+        set(handles.CheckMask,'BackgroundColor',[1 1 0])
     end
     if isempty(errormsg)
@@ -1529,13 +1529,13 @@
     end
     if ~isempty(errormsg)
-            set(handles.mask_test,'Value',0)
-            set(handles.mask_test,'BackgroundColor',[0.7 0.7 0.7])
+            set(handles.CheckMask,'Value',0)
+            set(handles.CheckMask,'BackgroundColor',[0.7 0.7 0.7])
      end
-else 
-    MaskData=get(handles.mask_test,'UserData');
+else % desactivate mask display
+    MaskData=get(handles.CheckMask,'UserData');
     if isfield(MaskData,'maskhandle') && ishandle(MaskData.maskhandle)
           delete(MaskData.maskhandle)    
     end
-    set(handles.mask_test,'UserData',[])    
+    set(handles.CheckMask,'UserData',[])    
     UvData=get(handles.uvmat,'UserData');
     if isfield(UvData,'MaskName')
@@ -1543,5 +1543,5 @@
         set(handles.uvmat,'UserData',UvData)
     end
-    set(handles.mask_test,'BackgroundColor',[0.7 0.7 0.7])
+    set(handles.CheckMask,'BackgroundColor',[0.7 0.7 0.7])
 end
 
@@ -1550,5 +1550,5 @@
 %------------------------------------------------------------------------
 errormsg=[];%default
-MaskData=get(handles.mask_test,'UserData');
+MaskData=get(handles.CheckMask,'UserData');
 if isfield(MaskData,'maskhandle')&& ishandle(MaskData.maskhandle)
     uistack(MaskData.maskhandle,'top');
@@ -1556,5 +1556,5 @@
 num_i1_mask=mod(num_i1-1,MaskData.NbSlice)+1;
 MaskName=name_generator(MaskData.Base,num_i1_mask,num_j1,'.png',MaskData.NomType);
-huvmat=get(handles.mask_test,'parent');
+huvmat=get(handles.CheckMask,'parent');
 UvData=get(huvmat,'UserData');
 
@@ -1623,5 +1623,5 @@
             MaskData.maskhandle=image(Mask.AX,Mask.AY,imflag,'Tag','mask','HitTest','off','AlphaData',0.6*flagmask);
 %             set(MaskData.maskhandle,'AlphaData',0.6*flagmask)
-            set(handles.mask_test,'UserData',MaskData)
+            set(handles.CheckMask,'UserData',MaskData)
         end
     end
@@ -2556,11 +2556,5 @@
 
 % second projection object (view_field display)
-% IndexObj_2=get(handles.list_object_2,'Value');%selected projection object for the second view
-% if IndexObj_2==0
-%     IndexObj_2=1;
-% end
-%if isequal(get(handles.list_object_2,'Visible'),'on') && IndexObj_2 <= numel(UvData.Object)&& ~isempty(UvData.Object{IndexObj_2})
- if length( IndexObj)>=2
-%      IndexObj(2)=IndexObj_2;
+if length( IndexObj)>=2
     view_field_handle=findobj(allchild(0),'tag','view_field');%handles of the view_field GUI
     if ~isempty(view_field_handle)
@@ -2579,5 +2573,5 @@
     [ObjectData,errormsg]=proj_field(UvData.Field,UvData.Object{iobj});% project field on the object
     if testnewseries && isfield(ObjectData,'CoordUnit')&& isfield(PlotParam{imap},'Coordinates')
-        PlotParam{imap}=rmfield(PlotParam{imap}.Coordinates,'CheckFixEqual'); %set FixEqual to depend on the field (=1 if Data.CoordUnit=1 in plot_field)
+        PlotParam{imap}.Coordinates=rmfield(PlotParam{imap}.Coordinates,'CheckFixEqual'); %set FixEqual to depend on the field (=1 if Data.CoordUnit=1 in plot_field)
     end 
     if ~isempty(errormsg)
@@ -2651,5 +2645,5 @@
 
 %% update the mask
-if isequal(get(handles.mask_test,'Value'),1)%if the mask option is on
+if isequal(get(handles.CheckMask,'Value'),1)%if the mask option is on
    update_mask(handles,num_i1,num_i2);
 end
@@ -3818,5 +3812,5 @@
      UvData.Object=UvData.Object(1);
 end 
-list_object=get(handles.ListObject,'String');
+%list_object=get(handles.ListObject,'String');
 set(handles.ListObject,'Value',1)
 set(handles.ListObject,'String',{''})
@@ -3826,5 +3820,5 @@
 
 %delete mask if it is displayed 
-if isequal(get(handles.mask_test,'Value'),1)%if the mask option is on
+if isequal(get(handles.CheckMask,'Value'),1)%if the mask option is on
    UvData=rmfield(UvData,'MaskName'); %will impose mask refresh  
 end
@@ -3832,5 +3826,5 @@
 run0_Callback(hObject, eventdata, handles)
 
-%--------------------------------------------
+%------------------------------------------------------------------------
 function histo1_menu_Callback(hObject, eventdata, handles)
 %--------------------------------------------
@@ -3842,7 +3836,7 @@
 update_histo(handles.histo_u,huvmat,FieldName)
 
-%----------------------------------------------
+%------------------------------------------------------------------------
 function histo2_menu_Callback(hObject, eventdata, handles)
-%----------------------------------------------
+%------------------------------------------------------------------------
 %plot second histo
 huvmat=get(handles.histo2_menu,'parent');
@@ -3852,8 +3846,8 @@
 update_histo(handles.histo_v,huvmat,FieldName)
 
-
-%--------------------------------------------
+%------------------------------------------------------------------------
 %read the field .Fieldname stored in UvData and plot its histogram
 function update_histo(haxes,huvmat,FieldName)
+%------------------------------------------------------------------------
 UvData=get(huvmat,'UserData');
 if ~isfield(UvData.Field,FieldName)
@@ -4108,15 +4102,15 @@
 list=get(handles.ListColorCode,'String');
 ichoice=get(handles.ListColorCode,'Value');
-colcode.ColorCode=list{ichoice};
-colcode.MinC=str2num(get(handles.num_MinVec,'String'));
-colcode.MaxC=str2num(get(handles.num_MaxVec,'String'));
-test3color=strcmp(colcode.ColorCode,'rgb') || strcmp(colcode.ColorCode,'bgr');
+colcode.ListColorCode=list{ichoice};
+colcode.MinVec=str2num(get(handles.num_MinVec,'String'));
+colcode.MaxVec=str2num(get(handles.num_MaxVec,'String'));
+test3color=strcmp(colcode.ListColorCode,'rgb') || strcmp(colcode.ListColorCode,'bgr');
 if test3color
-    colcode.colcode1=str2num(get(handles.num_ColCode1,'String'));
-    colcode.colcode2=str2num(get(handles.num_ColCode2,'String'));
-end
-colcode.FixedCbounds=0;
-colcode.FixedCbounds=1;
-vec_C=colcode.MinC+(colcode.MaxC-colcode.MinC)*(0.5:width-0.5)/width;%sample of vec_C values from min to max
+    colcode.ColCode1=str2num(get(handles.num_ColCode1,'String'));
+    colcode.ColCode2=str2num(get(handles.num_ColCode2,'String'));
+end
+% colcode.FixedCbounds=0;
+%colcode.CheckFixVecColor=1;
+vec_C=colcode.MinVec+(colcode.MaxVec-colcode.MinVec)*(0.5:width-0.5)/width;%sample of vec_C values from min to max
 [colorlist,col_vec]=set_col_vec(colcode,vec_C);
 oneheight=ones(1,height);
@@ -4138,7 +4132,7 @@
 write_plot_param(handles,PlotParamOut); %update the auto plot parameters
 
-%-------------------------------------------------------------------
-% --- Executes on button press in grid.
-function grid_Callback(hObject, eventdata, handles)
+% %-------------------------------------------------------------------
+% % --- Executes on button press in grid.
+% function grid_Callback(hObject, eventdata, handles)
 
 
Index: /trunk/src/view_field.m
===================================================================
--- /trunk/src/view_field.m	(revision 314)
+++ /trunk/src/view_field.m	(revision 315)
@@ -280,5 +280,5 @@
 % --- Executes on button press in FixEqual.
 function CheckFixEqual_Callback(hObject, eventdata, handles)
-test=get(handles.FixEqual,'Value');
+test=get(handles.CheckFixEqual,'Value');
 if test
     set(handles.CheckFixEqual,'BackgroundColor',[1 1 0])
